<!DOCTYPE html>
<html>
<head>
	<title>PhotoSwipe</title>
	<meta name="author" content="Ste Brennan - Code Computerlove - http://www.codecomputerlove.com/" />
	<meta content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0;" name="viewport" />
	<meta name="apple-mobile-web-app-capable" content="yes" />
	
	<link href="jquery.mobile-1.1.0.min.css" rel="stylesheet" />
	<link href="jquery-mobile.css" type="text/css" rel="stylesheet" />
	<link href="photoswipe.css" type="text/css" rel="stylesheet" />
	
	<script type="text/javascript" src="lib/klass.min.js"></script>
	<script type="text/javascript" src="jquery-1.7.1.min.js"></script>
	<script type="text/javascript" src="jquery.mobile-1.1.0.min.js"></script>
	<script type="text/javascript" src="code.photoswipe.jquery-3.0.5.min.js"></script>
	
	
	<script type="text/javascript">
		
		/*
		 * IMPORTANT!!!
		 * REMEMBER TO ADD  rel="external"  to your anchor tags. 
		 * If you don't this will mess with how jQuery Mobile works
		 */
		
		(function(window, $, PhotoSwipe){
			
			$(document).ready(function(){
				
				$('div.gallery-page')
					.live('pageshow', function(e){
						
						var 
							currentPage = $(e.target),
							options = {},
							photoSwipeInstance = $("ul.gallery a", e.target).photoSwipe(options,  currentPage.attr('id'));
							
						return true;
						
					})
					
					.live('pagehide', function(e){
						
						var 
							currentPage = $(e.target),
							photoSwipeInstance = PhotoSwipe.getInstance(currentPage.attr('id'));

						if (typeof photoSwipeInstance != "undefined" && photoSwipeInstance != null) {
							PhotoSwipe.detatch(photoSwipeInstance);
						}
						
						return true;
						
					});
				
			});
		
		}(window, window.jQuery, window.Code.PhotoSwipe));
		
	</script>
	
</head>
<body>

<div data-role="page" id="Home">

	<div data-role="header">
		<h1>PhotoSwipe</h1>
	</div>
	
	
	<div data-role="content" >	
		
		<p>These examples show PhotoSwipe integrated with jQuery Mobile:</p>		
		
		<ul data-role="listview" data-inset="true">
			<li><a href="#Gallery1">First Gallery</a></li> 
			<li><a href="#Gallery2">Second Gallery</a></li> 
		</ul> 
		
		
	</div>

	<div data-role="footer">
		<h4>&copy; 2012 Code Computerlove</h4>
	</div>

</div>


<div data-role="page" data-add-back-btn="true" id="Gallery1" class="gallery-page">

	<div data-role="header">
		<h1>First Gallery</h1>
	</div>

	<div data-role="content">	
		
		<ul class="gallery">
		<?
		$objConnect = mysql_connect("localhost","root","root") or die(mysql_error());
		$objDB = mysql_select_db("mydatabase");
		$strSQL = "SELECT * FROM gallery WHERE CategoryID = '1' ORDER BY GalleryID ASC  ";
		$objQuery = mysql_query($strSQL) or die (mysql_error());
		while($objResult = mysql_fetch_array($objQuery))
		{
		?>
			<li><a href="images/full/<?=$objResult["ImageFull"];?>" rel="external"><img src="images/thumb/<?=$objResult["Thumbnail"];?>" alt="<?=$objResult["Description"];?>" /></a></li>
		<?
		}
		?>
		</ul>
		
	</div>
	
	<div data-role="footer">
		<h4>&copy; 2012 Code Computerlove</h4>
	</div>
	
</div>

<div data-role="page" data-add-back-btn="true" id="Gallery2" class="gallery-page">

	<div data-role="header">
		<h1>Second Gallery</h1>
	</div>

	<div data-role="content">	
		
		<ul class="gallery">
		<?
		$strSQL = "SELECT * FROM gallery WHERE CategoryID = '2' ORDER BY GalleryID ASC  ";
		$objQuery = mysql_query($strSQL) or die (mysql_error());
		while($objResult = mysql_fetch_array($objQuery))
		{
		?>
			<li><a href="images/full/<?=$objResult["ImageFull"];?>" rel="external"><img src="images/thumb/<?=$objResult["Thumbnail"];?>" alt="<?=$objResult["Description"];?>" /></a></li>
		<?
		}
		?>	
		
		</ul>
		
	</div>

	<div data-role="footer">
		<h4>&copy; 2012 Code Computerlove</h4>
	</div>

</div>

</body>
</html>
